var interval_auto_change_cute_animal=null;
var ms_auto_change_cute_animal=8000;
var do_auto_change_cute_animal=true;

// For testing only - this just adds an option to the end of the page
// to browse for a text file and show the text contents at the bottom of the page
var add_file_browser=false;
// but this could be adapted to browse for the list of key words to block
// and change them which could be done from the block page
// or from the extension's popup - and retained from one session to the next - or else - just the url
// of the user's file is retained.

function readSingleFile(e) 
{
  // https://developer.mozilla.org/en-US/docs/Web/API/FileReader
  // FileReader can only access the contents of files that the user has explicitly selected, either using an HTML <input type="file"> element or by drag and drop. It cannot be used to read a file by pathname from the user's file system.
  var file = e.target.files[0];
  if (!file) {
    return;
  }
  var reader = new FileReader();
  reader.onload = function(e) {
    var contents = e.target.result;
    displayChosenFileContents(contents);
  };
  reader.readAsText(file);
}

function displayChosenFileContents(contents) {
  var element = document.getElementById('r1TDZjyCBx9r_file-content');
  element.textContent = contents;
}


function hide_all_elements_on_page()
{
 document.head.innerHTML="";
 document.body.className="";
 document.body.style="";
 var elsToHide = document.body.getElementsByTagName("*");
 for (var i=0, max=elsToHide.length; i < max; i++) 
 {
  var el=elsToHide[i];
  if(el.tagName!="BODY")
  if(el.tagName!="HEAD")
  if(el.tagName!="SCRIPT")
  {
   el.style="";
   el.style.visibility = "hidden"; 
   el.style.display = "none";  
  }
 }
}

function pause_cute_animal_animation()
{
 var el_pause_button=document.getElementById("id_pause_cute_animal_animation");
 if(interval_auto_change_cute_animal)
 {
  clearInterval(interval_auto_change_cute_animal);
  interval_auto_change_cute_animal=0;
  el_pause_button.innerHTML="Resume cute baby animal animation";
 }
 else
 {
  interval_auto_change_cute_animal=setInterval(random_cute_animal_html,ms_auto_change_cute_animal);
  el_pause_button.innerHTML="Pause cute baby animal animation";
 }
}

var style_button_pause_animation=
".button_pause_animation {" +
" background-color: white;" + 
" color: black; " +
" border: 2px solid #008CBA;" +
"}" +
".button_pause_animation:hover {" +
" background-color: #008CBA;" +
" color: white;" +
"}";


var interval;
var found=false;
var is_twitter=false;
var str_found="";
var twitter_input=null;
var origin=window.location.origin.toString();
// alert(origin);
if(origin.indexOf("twitter")>=0)
{
 // alert("origin.indexOf(\"twitter\")>=0");
 var items = document.getElementsByTagName("input");
 var i=0,max=items.length;
 for (i=0; i < max; i+=1)
 {
   if(items[i].getAttribute("aria-label")=="Search query")
   {
     twitter_input=items[i];
     break;
   }
 } 
 is_twitter=true;
}
/**
<input aria-activedescendant="typeaheadFocus-0.9328562332976449" aria-autocomplete="list" aria-label="Search query" aria-owns="typeaheadDropdown-1" autocapitalize="sentences" autocomplete="off" autocorrect="off" placeholder="Search Twitter" role="combobox" spellcheck="false" enterkeyhint="search" type="text" dir="auto" class="r-30o5oe r-1niwhzg r-17gur6a r-1yadl64 r-deolkf r-homxoj r-poiln3 r-7cikom r-1ny4l3l r-xyw6el r-y0fyvk r-1dz5y72 r-fdjqy7 r-13qz1uu" data-testid="SearchBox_Search_Input" value="" aria-expanded="true" autofocus="">
**/
var overlay_style=
".r1TDZjyCBx9r_extension_overlay_class"
+ "{background: #fff;bottom: 0;right: 0;left: 0;top: 0;  z-index: 1000000000000;"
+ " animation : none;"
+ "    animation-delay : 0;"
+ "    animation-direction : normal;"
+ "    animation-duration : 0;"
+ "    animation-fill-mode : none;"
+ "    animation-iteration-count : 1;"
+ "    animation-name : none;"
+ "    animation-play-state : running;"
+ "    animation-timing-function : ease;"
+ "    backface-visibility : visible;"
+ "    background : 0;"
+ "    background-attachment : scroll;"
+ "    background-clip : border-box;"
+ "    background-color : transparent;"
+ "    background-image : none;"
+ "    background-origin : padding-box;"
+ "    background-position : 0 0;"
+ "    background-position-x : 0;"
+ "    background-position-y : 0;"
+ "    background-repeat : repeat;"
+ "    background-size : auto auto;"
+ "    border : 0;"
+ "    border-style : none;"
+ "    border-width : medium;"
+ "    border-color : inherit;"
+ "    border-bottom : 0;"
+ "    border-bottom-color : inherit;"
+ "    border-bottom-left-radius : 0;"
+ "    border-bottom-right-radius : 0;"
+ "    border-bottom-style : none;"
+ "    border-bottom-width : medium;"
+ "    border-collapse : separate;"
+ "    border-image : none;"
+ "    border-left : 0;"
+ "    border-left-color : inherit;"
+ "    border-left-style : none;"
+ "    border-left-width : medium;"
+ "    border-radius : 0;"
+ "    border-right : 0;"
+ "    border-right-color : inherit;"
+ "    border-right-style : none;"
+ "    border-right-width : medium;"
+ "    border-spacing : 0;"
+ "    border-top : 0;"
+ "    border-top-color : inherit;"
+ "    border-top-left-radius : 0;"
+ "    border-top-right-radius : 0;"
+ "    border-top-style : none;"
+ "    border-top-width : medium;"
+ "    box-shadow : none;"
+ "    box-sizing : content-box;"
+ "    caption-side : top;"
+ "    clear : none;"
+ "    clip : auto;"
+ "    color : inherit;"
+ "    columns : auto;"
+ "    column-count : auto;"
+ "    column-fill : balance;"
+ "    column-gap : normal;"
+ "    column-rule : medium none currentColor;"
+ "    column-rule-color : currentColor;"
+ "    column-rule-style : none;"
+ "    column-rule-width : none;"
+ "    column-span : 1;"
+ "    column-width : auto;"
+ "    content : normal;"
+ "    counter-increment : none;"
+ "    counter-reset : none;"
+ "    cursor : auto;"
+ "    direction : ltr;"
+ "    display : inline;"
+ "    empty-cells : show;"
+ "    float : none;"
+ "    font : normal;"
+ "    font-family : inherit;"
+ "    font-size : large;"
+ "    font-style : normal;"
+ "    font-variant : normal;"
+ "    font-weight : normal;"
+ "    height : auto;"
+ "    hyphens : none;"
+ "    letter-spacing : normal;"
+ "    line-height : normal;"
+ "    list-style : none;"
+ "    list-style-image : none;"
+ "    list-style-position : outside;"
+ "    list-style-type : disc;"
+ "    margin : 0;"
+ "    margin-bottom : 0;"
+ "    margin-left : 0;"
+ "    margin-right : 0;"
+ "    margin-top : 0;"
+ "    max-height : none;"
+ "    max-width : none;"
+ "    min-height : 0;"
+ "    min-width : 0;"
+ "    opacity : 1;"
+ "    orphans : 0;"
+ "    outline : 0;"
+ "    outline-color : invert;"
+ "    outline-style : none;"
+ "    outline-width : medium;"
+ "    overflow : visible;"
+ "    overflow-x : visible;"
+ "    overflow-y : visible;"
+ "    padding : 0;"
+ "    padding-bottom : 0;"
+ "    padding-left : 0;"
+ "    padding-right : 0;"
+ "    padding-top : 0;"
+ "    page-break-after : auto;"
+ "    page-break-before : auto;"
+ "    page-break-inside : auto;"
+ "    perspective : none;"
+ "    perspective-origin : 50% 50%;"
+ "    position : static;"
+ "    quotes : '\201C' '\201D' '\2018' '\2019';"
+ "    tab-size : 8;"
+ "    table-layout : auto;"
+ "    text-align : inherit;"
+ "    text-align-last : auto;"
+ "    text-decoration : none;"
+ "    text-decoration-color : inherit;"
+ "    text-decoration-line : none;"
+ "    text-decoration-style : solid;"
+ "    text-indent : 0;"
+ "    text-shadow : none;"
+ "    text-transform : none;"
+ "    transform : none;"
+ "    transform-style : flat;"
+ "    transition : none;"
+ "    transition-delay : 0s;"
+ "    transition-duration : 0s;"
+ "    transition-property : none;"
+ "    transition-timing-function : ease;"
+ "    unicode-bidi : normal;"
+ "    vertical-align : baseline;"
+ "    visibility : visible;"
+ "    white-space : normal;"
+ "    widows : 0;"
+ "    width : auto;"
+ "    word-spacing : normal;}";


var cute_animals=
[
"https://commons.wikimedia.org/wiki/File:Zebra_Shark_Baby.jpeg",
"Zebra Shark Baby",
"https://upload.wikimedia.org/wikipedia/commons/thumb/2/23/Zebra_Shark_Baby.jpeg/1200px-Zebra_Shark_Baby.jpeg",
"https://commons.wikimedia.org/wiki/File:Molalavdj.jpg",
"Molalavdj (larva of sunfish)",
"https://upload.wikimedia.org/wikipedia/commons/f/ff/Molalavdj.jpg",
"https://commons.wikimedia.org/wiki/File:Baby_Cuttlefish2_(5589806913).jpg",
"Baby Cuttlefish2",
"https://upload.wikimedia.org/wikipedia/commons/e/ee/Baby_Cuttlefish2_%285589806913%29.jpg",
"https://commons.wikimedia.org/wiki/File:TWC_Wildlife_Centre%E2%80%A2_Stewart_Nimmo_%E2%80%A2_MRD_8502.jpg",
"Baby Rowi (endangered species of Kiwi)",
"https://upload.wikimedia.org/wikipedia/commons/thumb/9/96/TWC_Wildlife_Centre%E2%80%A2_Stewart_Nimmo_%E2%80%A2_MRD_8502.jpg/1200px-TWC_Wildlife_Centre%E2%80%A2_Stewart_Nimmo_%E2%80%A2_MRD_8502.jpg",
"https://commons.wikimedia.org/wiki/File:Sleepy_Baby_Anole.jpg",
"Sleepy Baby Anole",
"https://upload.wikimedia.org/wikipedia/commons/7/79/Sleepy_Baby_Anole.jpg",
"https://commons.wikimedia.org/wiki/File:Baby_Gecko_-_Flickr_-_jurvetson.jpg",
"Baby Gecko",
"https://upload.wikimedia.org/wikipedia/commons/thumb/1/1b/Baby_Gecko_-_Flickr_-_jurvetson.jpg/1143px-Baby_Gecko_-_Flickr_-_jurvetson.jpg",
"https://commons.wikimedia.org/wiki/File:I_CAUGHTZA_BABY_LIZARD%5E%5E%5E_(EEEEEEEEEEEEEEEEXPLORED)_-_Flickr_-_OUCHcharley.jpg",
"baby lizard",
"https://upload.wikimedia.org/wikipedia/commons/thumb/9/98/I_CAUGHTZA_BABY_LIZARD%5E%5E%5E_%28EEEEEEEEEEEEEEEEXPLORED%29_-_Flickr_-_OUCHcharley.jpg/1200px-I_CAUGHTZA_BABY_LIZARD%5E%5E%5E_%28EEEEEEEEEEEEEEEEXPLORED%29_-_Flickr_-_OUCHcharley.jpg",
"https://commons.wikimedia.org/wiki/File:Cute_dog.jpg",
"Cute dog",
"https://upload.wikimedia.org/wikipedia/commons/thumb/4/43/Cute_dog.jpg/800px-Cute_dog.jpg",
"https://commons.wikimedia.org/wiki/File:Adorable-animal-cat-20787.jpg",
"Adorable-animal-cat-20787",
"https://upload.wikimedia.org/wikipedia/commons/thumb/3/38/Adorable-animal-cat-20787.jpg/800px-Adorable-animal-cat-20787.jpg",
"https://commons.wikimedia.org/wiki/File:Animal-cute-fur-white_(24218416242).jpg",
"Animal-cute-fur-white (24218416242)",
"https://upload.wikimedia.org/wikipedia/commons/thumb/c/cb/Animal-cute-fur-white_%2824218416242%29.jpg/800px-Animal-cute-fur-white_%2824218416242%29.jpg",
"https://commons.wikimedia.org/wiki/File:Fox_cub_cute_fox_animal.jpg",
"Fox cub cute fox animal",
"https://upload.wikimedia.org/wikipedia/commons/thumb/b/b5/Fox_cub_cute_fox_animal.jpg/800px-Fox_cub_cute_fox_animal.jpg",
"https://commons.wikimedia.org/wiki/File:Cute_grey_kitten.jpg",
"Cute grey kitten",
"https://upload.wikimedia.org/wikipedia/commons/thumb/7/75/Cute_grey_kitten.jpg/800px-Cute_grey_kitten.jpg",
"https://commons.wikimedia.org/wiki/File:Domesticated_Baby_Hedgehog.jpg",
"Domesticated Baby Hedgehog",
"https://upload.wikimedia.org/wikipedia/commons/thumb/6/62/Domesticated_Baby_Hedgehog.jpg/800px-Domesticated_Baby_Hedgehog.jpg",
"https://commons.wikimedia.org/wiki/File:Cute-kittens-12929201-1600-1200.jpg",
"Cute-kittens-12929201-1600-1200",
"https://upload.wikimedia.org/wikipedia/commons/thumb/8/8f/Cute-kittens-12929201-1600-1200.jpg/800px-Cute-kittens-12929201-1600-1200.jpg",
"https://commons.wikimedia.org/wiki/File:A_seemingly_innocent_kitten_(Pixabay).jpg",
"A seemingly innocent kitten (Pixabay)",
"https://upload.wikimedia.org/wikipedia/commons/thumb/c/cc/A_seemingly_innocent_kitten_%28Pixabay%29.jpg/800px-A_seemingly_innocent_kitten_%28Pixabay%29.jpg",
"https://commons.wikimedia.org/wiki/File:Red_Kitten_01.jpg",
"Red Kitten 01",
"https://upload.wikimedia.org/wikipedia/commons/thumb/a/a5/Red_Kitten_01.jpg/800px-Red_Kitten_01.jpg",
"https://commons.wikimedia.org/wiki/File:Cute-kittens-12929201-1600-1200.jpg",
"Cute-kittens-12929201-1600-1200",
"https://upload.wikimedia.org/wikipedia/commons/thumb/8/8f/Cute-kittens-12929201-1600-1200.jpg/800px-Cute-kittens-12929201-1600-1200.jpg",
"https://commons.wikimedia.org/wiki/File:Slow_Loris_Female.jpg",
"Slow Loris Female",
"https://upload.wikimedia.org/wikipedia/commons/thumb/9/9b/Slow_Loris_Female.jpg/763px-Slow_Loris_Female.jpg",
"https://commons.wikimedia.org/wiki/File:Lamb_-_Animal_Park_Muggensturm_01.jpg",
"Lamb - Animal Park Muggensturm 01",
"https://upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Lamb_-_Animal_Park_Muggensturm_01.jpg/800px-Lamb_-_Animal_Park_Muggensturm_01.jpg",
"https://commons.wikimedia.org/wiki/File:Am_I_cute_or_what%5E_-_geograph.org.uk_-_509441.jpg",
"Am I cute or what^ - geograph.org.uk - 509441",
"https://upload.wikimedia.org/wikipedia/commons/7/77/Am_I_cute_or_what%5E_-_geograph.org.uk_-_509441.jpg",
"https://commons.wikimedia.org/wiki/File:Cute-puppy-5.jpg",
"Cute-puppy-5",
"https://upload.wikimedia.org/wikipedia/commons/thumb/a/a5/Cute-puppy-5.jpg/800px-Cute-puppy-5.jpg",
"https://commons.wikimedia.org/wiki/File:The_Puppy.jpg",
"The Puppy",
"https://upload.wikimedia.org/wikipedia/commons/thumb/6/64/The_Puppy.jpg/800px-The_Puppy.jpg",
"https://commons.wikimedia.org/wiki/File:Cute_Sloth.jpg",
"Cute Sloth",
"https://upload.wikimedia.org/wikipedia/commons/thumb/a/a7/Cute_Sloth.jpg/800px-Cute_Sloth.jpg",
"https://commons.wikimedia.org/wiki/File:Too-cute-doggone-it-video-playlist.jpg",
"Too-cute-doggone-it-video-playlist",
"https://upload.wikimedia.org/wikipedia/commons/thumb/8/8a/Too-cute-doggone-it-video-playlist.jpg/600px-Too-cute-doggone-it-video-playlist.jpg",
"https://commons.wikimedia.org/wiki/File:Red_Panda_(29120307453).jpg",
"Red Panda (29120307453)",
"https://upload.wikimedia.org/wikipedia/commons/thumb/8/83/Red_Panda_%2829120307453%29.jpg/800px-Red_Panda_%2829120307453%29.jpg",
"https://commons.wikimedia.org/wiki/File:Pet_Paraechinus_aethiopicus_(Desert_Hedgehog)_from_the_Kurdistan_Region_of_Iraq,_at_lunchtime_10.jpg",
"Pet Paraechinus aethiopicus (Desert Hedgehog) from the Kurdistan Region of Iraq, at lunchtime 10",
"https://upload.wikimedia.org/wikipedia/commons/thumb/0/08/Pet_Paraechinus_aethiopicus_%28Desert_Hedgehog%29_from_the_Kurdistan_Region_of_Iraq%2C_at_lunchtime_10.jpg/800px-Pet_Paraechinus_aethiopicus_%28Desert_Hedgehog%29_from_the_Kurdistan_Region_of_Iraq%2C_at_lunchtime_10.jpg",
"https://commons.wikimedia.org/wiki/File:Baby_Owls.jpg",
"Baby Owls",
"https://upload.wikimedia.org/wikipedia/commons/thumb/1/12/Baby_Owls.jpg/800px-Baby_Owls.jpg",
"https://commons.wikimedia.org/wiki/File:Fisherman_bird.JPG",
"Fisherman bird",
"https://upload.wikimedia.org/wikipedia/commons/thumb/e/e5/Fisherman_bird.JPG/800px-Fisherman_bird.JPG",
"https://commons.wikimedia.org/wiki/File:Chick05.jpg",
"Chick05",
"https://upload.wikimedia.org/wikipedia/commons/thumb/e/ef/Chick05.jpg/777px-Chick05.jpg",
"https://commons.wikimedia.org/wiki/File:Hirundo_rustica_erythrogaster_-Massachusetts_-chicks-8.jpg",
"Hirundo rustica erythrogaster -Massachusetts -chicks-8",
"https://upload.wikimedia.org/wikipedia/commons/thumb/a/a4/Hirundo_rustica_erythrogaster_-Massachusetts_-chicks-8.jpg/800px-Hirundo_rustica_erythrogaster_-Massachusetts_-chicks-8.jpg",
"https://commons.wikimedia.org/wiki/File:Haliaeetus_leucocephalus1.jpg",
"Haliaeetus leucocephalus1",
"https://upload.wikimedia.org/wikipedia/commons/thumb/9/9f/Haliaeetus_leucocephalus1.jpg/800px-Haliaeetus_leucocephalus1.jpg",
"https://commons.wikimedia.org/wiki/File:Baby_spectacled_owl.png",
"Baby spectacled owl.png - Wikimedia Commons",
"https://upload.wikimedia.org/wikipedia/commons/5/59/Baby_spectacled_owl.png",
"https://commons.wikimedia.org/wiki/File:West_Coast_Wildlife_Centre_Wawe_5_days_old_%E2%80%A2_MRD.jpg",
"West Coast Wildlife Centre Wawe 5 days old &bull; MRD",
"https://upload.wikimedia.org/wikipedia/commons/thumb/0/0a/West_Coast_Wildlife_Centre_Wawe_5_days_old_%E2%80%A2_MRD.jpg/800px-West_Coast_Wildlife_Centre_Wawe_5_days_old_%E2%80%A2_MRD.jpg",
"https://commons.wikimedia.org/wiki/Baby_Meerkats.jpg",
"Baby Meerkats",
"https://upload.wikimedia.org/wikipedia/commons/thumb/2/23/Baby_Meerkats.jpg/1200px-Baby_Meerkats.jpg",
"https://commons.wikimedia.org/wiki/Domesticated_Baby_Hedgehog.jpg",
"Domesticated Baby Hedgehog",
"https://upload.wikimedia.org/wikipedia/commons/thumb/6/62/Domesticated_Baby_Hedgehog.jpg/1200px-Domesticated_Baby_Hedgehog.jpg",
"https://commons.wikimedia.org/wiki/Cutest_Koala.jpg",
"Cutest Koala",
"https://upload.wikimedia.org/wikipedia/commons/thumb/2/21/Cutest_Koala.jpg/981px-Cutest_Koala.jpg",
"https://commons.wikimedia.org/wiki/Cute_grey_kitten.jpg",
"Cute grey kitten",
"https://upload.wikimedia.org/wikipedia/commons/thumb/7/75/Cute_grey_kitten.jpg/1200px-Cute_grey_kitten.jpg",
"https://commons.wikimedia.org/wiki/Adorable-animal-baby-160933.jpg",
"Adorable-animal-baby-160933",
"https://upload.wikimedia.org/wikipedia/commons/thumb/1/1a/Adorable-animal-baby-160933.jpg/1200px-Adorable-animal-baby-160933.jpg",
"https://commons.wikimedia.org/wiki/Baby_sloth,_rescued_from_captivity_and_to_be_returned_to_the_wild.jpg",
"Baby sloth, rescued from captivity and to be returned to the wild",
"https://upload.wikimedia.org/wikipedia/commons/thumb/9/99/Baby_sloth%2C_rescued_from_captivity_and_to_be_returned_to_the_wild.jpg/1200px-Baby_sloth%2C_rescued_from_captivity_and_to_be_returned_to_the_wild.jpg",
"https://commons.wikimedia.org/wiki/The_Puppy.jpg",
"The Puppy",
"https://upload.wikimedia.org/wikipedia/commons/6/64/The_Puppy.jpg",
"https://commons.wikimedia.org/wiki/Australia_Zoo_baby_Koala_asleep-1_(18173740872).jpg",
"Australia Zoo baby Koala asleep-1 (18173740872)",
"https://upload.wikimedia.org/wikipedia/commons/thumb/b/ba/Australia_Zoo_baby_Koala_asleep-1_%2818173740872%29.jpg/599px-Australia_Zoo_baby_Koala_asleep-1_%2818173740872%29.jpg",
"https://commons.wikimedia.org/wiki/Female_Toque_macaque_with_baby_-_(Harmony_of_Life).jpg",
"Female Toque macaque with baby - (Harmony of Life)",
"https://upload.wikimedia.org/wikipedia/commons/thumb/9/9b/Female_Toque_macaque_with_baby_-_%28Harmony_of_Life%29.jpg/1200px-Female_Toque_macaque_with_baby_-_%28Harmony_of_Life%29.jpg",
"https://commons.wikimedia.org/wiki/Alopex_lagopus_IMG_9019.JPG",
"Alopex lagopus IMG 9019",
"https://upload.wikimedia.org/wikipedia/commons/thumb/e/e2/Alopex_lagopus_IMG_9019.JPG/1200px-Alopex_lagopus_IMG_9019.JPG",
"https://commons.wikimedia.org/wiki/Red_Panda.JPG",
"Red Panda",
"https://upload.wikimedia.org/wikipedia/commons/c/c6/Red_Panda.JPG",
"https://commons.wikimedia.org/wiki/Baby_Cheetah_Eating_Meat.JPG",
"Baby Cheetah Eating Meat",
"https://upload.wikimedia.org/wikipedia/commons/thumb/2/25/Baby_Cheetah_Eating_Meat.JPG/1200px-Baby_Cheetah_Eating_Meat.JPG",
"https://commons.wikimedia.org/wiki/Koala_and_baby.jpg",
"Koala and baby",
"https://upload.wikimedia.org/wikipedia/commons/thumb/e/e9/Koala_and_baby.jpg/801px-Koala_and_baby.jpg",
"https://commons.wikimedia.org/wiki/Chequamegon-Nicolet_National_Forest_-_baby_raccoon.jpg",
"Chequamegon-Nicolet National Forest - baby raccoon",
"https://upload.wikimedia.org/wikipedia/commons/5/5a/Chequamegon-Nicolet_National_Forest_-_baby_raccoon.jpg",
"https://commons.wikimedia.org/wiki/Flying_Lemur_%26_Baby,_Bohol.jpg",
"Flying Lemur & Baby, Bohol",
"https://upload.wikimedia.org/wikipedia/commons/thumb/7/7c/Flying_Lemur_%26_Baby%2C_Bohol.jpg/689px-Flying_Lemur_%26_Baby%2C_Bohol.jpg",
"https://commons.wikimedia.org/wiki/BabyPandaAtSDZ.jpg",
"BabyPandaAtSDZ",
"https://upload.wikimedia.org/wikipedia/commons/1/12/BabyPandaAtSDZ.jpg",
"https://commons.wikimedia.org/wiki/Tiger_Cub.jpg",
"Tiger Cub",
"https://upload.wikimedia.org/wikipedia/commons/thumb/7/78/Tiger_Cub.jpg/1131px-Tiger_Cub.jpg",
"https://commons.wikimedia.org/wiki/Hope_Alone.jpg",
"Hope Alone",
"https://upload.wikimedia.org/wikipedia/commons/thumb/c/ca/Hope_Alone.jpg/1200px-Hope_Alone.jpg",
"https://commons.wikimedia.org/wiki/MC_Drei-Finger-Faultier.jpg",
"MC Drei-Finger-Faultier",
"https://upload.wikimedia.org/wikipedia/commons/thumb/2/2e/MC_Drei-Finger-Faultier.jpg/1200px-MC_Drei-Finger-Faultier.jpg",
"https://commons.wikimedia.org/wiki/Baby_Owls.jpg",
"Baby Owls",
"https://upload.wikimedia.org/wikipedia/commons/thumb/1/12/Baby_Owls.jpg/1200px-Baby_Owls.jpg",
"https://commons.wikimedia.org/wiki/Cheetah_cub_close-up_edit2.jpg",
"Cheetah cub close-up edit2",
"https://upload.wikimedia.org/wikipedia/commons/thumb/9/92/Cheetah_cub_close-up_edit2.jpg/1071px-Cheetah_cub_close-up_edit2.jpg",
"https://commons.wikimedia.org/wiki/Saimiri_sciureus-1_Luc_Viatour.jpg",
"Saimiri sciureus-1 Luc Viatour",
"https://upload.wikimedia.org/wikipedia/commons/thumb/2/20/Saimiri_sciureus-1_Luc_Viatour.jpg/1200px-Saimiri_sciureus-1_Luc_Viatour.jpg",
"https://commons.wikimedia.org/wiki/Alligator_mississippiensis_2_babies.jpg",
"Alligator mississippiensis 2 babies",
"https://upload.wikimedia.org/wikipedia/commons/thumb/f/f6/Alligator_mississippiensis_2_babies.jpg/1200px-Alligator_mississippiensis_2_babies.jpg",
"https://commons.wikimedia.org/wiki/Baby_Hedgehog.jpg",
"Baby Hedgehog",
"https://upload.wikimedia.org/wikipedia/commons/thumb/a/ad/Baby_Hedgehog.jpg/1200px-Baby_Hedgehog.jpg",
"https://commons.wikimedia.org/wiki/Ring-tailed_Lemur_Baby_(3938483909).jpg",
"Ring-tailed Lemur Baby (3938483909)",
"https://upload.wikimedia.org/wikipedia/commons/thumb/8/8a/Ring-tailed_Lemur_Baby_%283938483909%29.jpg/644px-Ring-tailed_Lemur_Baby_%283938483909%29.jpg",
"https://commons.wikimedia.org/wiki/Baby_Hamster_-_2_Weeks_Old.jpg",
"Baby Hamster - 2 Weeks Old",
"https://upload.wikimedia.org/wikipedia/commons/thumb/0/0f/Baby_Hamster_-_2_Weeks_Old.jpg/1200px-Baby_Hamster_-_2_Weeks_Old.jpg",
"https://commons.wikimedia.org/wiki/Sciurus_niger_baby.JPG",
"Sciurus niger baby",
"https://upload.wikimedia.org/wikipedia/commons/thumb/9/92/Sciurus_niger_baby.JPG/1200px-Sciurus_niger_baby.JPG",
"https://commons.wikimedia.org/wiki/Baby_Orangutan.jpg",
"Baby Orangutan",
"https://upload.wikimedia.org/wikipedia/commons/thumb/9/99/Baby_Orangutan.jpg/1200px-Baby_Orangutan.jpg",
"https://commons.wikimedia.org/wiki/Baby_Flamingo_(9403760397).jpg",
"Baby Flamingo (9403760397)",
"https://upload.wikimedia.org/wikipedia/commons/thumb/1/13/Baby_Flamingo_%289403760397%29.jpg/600px-Baby_Flamingo_%289403760397%29.jpg",
"https://commons.wikimedia.org/wiki/Baby_opossum.jpg",
"Baby opossum",
"https://upload.wikimedia.org/wikipedia/commons/thumb/f/f8/Baby_opossum.jpg/564px-Baby_opossum.jpg",
"https://commons.wikimedia.org/wiki/File:Pudu_puda_02.jpg",
"Pudu puda 02",
"https://upload.wikimedia.org/wikipedia/commons/thumb/7/75/Pudu_puda_02.jpg/1145px-Pudu_puda_02.jpg",
"https://commons.wikimedia.org/wiki/Baby_burrowing_owls!.Jpg",
"Baby burrowing owls!",
"https://upload.wikimedia.org/wikipedia/commons/a/a9/Baby_burrowing_owls%21.Jpg",
"https://commons.wikimedia.org/wiki/Baby_Himalayan_rabbit_Compared_to_adult.JPG",
"Baby Himalayan rabbit Compared to adult",
"https://upload.wikimedia.org/wikipedia/commons/thumb/1/18/Baby_Himalayan_rabbit_Compared_to_adult.JPG/1200px-Baby_Himalayan_rabbit_Compared_to_adult.JPG",
"https://commons.wikimedia.org/wiki/Mother_sea_otter_with_rare_twin_baby_pups_(9139425522).jpg",
"Mother sea otter with rare twin baby pups (9139425522)",
"https://upload.wikimedia.org/wikipedia/commons/thumb/f/f7/Mother_sea_otter_with_rare_twin_baby_pups_%289139425522%29.jpg/1200px-Mother_sea_otter_with_rare_twin_baby_pups_%289139425522%29.jpg",
"https://commons.wikimedia.org/wiki/Baby_tamarin.JPG",
"Baby tamarin",
"https://upload.wikimedia.org/wikipedia/commons/thumb/1/11/Baby_tamarin.JPG/1200px-Baby_tamarin.JPG",
"https://commons.wikimedia.org/wiki/Bunny_in_zoo.jpg",
"Bunny in zoo",
"https://upload.wikimedia.org/wikipedia/commons/thumb/b/b0/Bunny_in_zoo.jpg/956px-Bunny_in_zoo.jpg",
"https://commons.wikimedia.org/wiki/Sus_scrofa_piglet.jpg",
"Sus scrofa piglet",
"https://upload.wikimedia.org/wikipedia/commons/thumb/3/36/Sus_scrofa_piglet.jpg/1200px-Sus_scrofa_piglet.jpg",
"https://commons.wikimedia.org/wiki/Burrito_de_p%C3%A1ramo_(P%C3%A1ramo_baby_donkey).jpg",
"Burrito de páramo (Páramo baby donkey)",
"https://upload.wikimedia.org/wikipedia/commons/thumb/e/e5/Burrito_de_p%C3%A1ramo_%28P%C3%A1ramo_baby_donkey%29.jpg/599px-Burrito_de_p%C3%A1ramo_%28P%C3%A1ramo_baby_donkey%29.jpg",
"https://commons.wikimedia.org/wiki/Baby_Meerkat_(7006313718)_(2).jpg",
"Baby Meerkat (7006313718) (2)",
"https://upload.wikimedia.org/wikipedia/commons/thumb/4/45/Baby_Meerkat_%287006313718%29_%282%29.jpg/1200px-Baby_Meerkat_%287006313718%29_%282%29.jpg",
"https://commons.wikimedia.org/wiki/Baby_hippo.jpg",
"Baby hippo",
"https://upload.wikimedia.org/wikipedia/commons/thumb/d/d8/Baby_hippo.jpg/1200px-Baby_hippo.jpg",
"https://commons.wikimedia.org/wiki/Two_toed_sloth.JPG",
"Two toed sloth",
"https://upload.wikimedia.org/wikipedia/commons/thumb/b/b1/Two_toed_sloth.JPG/1200px-Two_toed_sloth.JPG",
"https://commons.wikimedia.org/wiki/Owlets.jpg",
"Owlets",
"https://upload.wikimedia.org/wikipedia/commons/9/9a/Owlets.jpg",
"https://commons.wikimedia.org/wiki/Cute_Piglet.jpg",
"Cute Piglet",
"https://upload.wikimedia.org/wikipedia/commons/thumb/c/c4/Cute_Piglet.jpg/599px-Cute_Piglet.jpg",
"https://commons.wikimedia.org/wiki/Red_fox_kits_(40215161564).jpg",
"Red fox kits (40215161564)",
"https://upload.wikimedia.org/wikipedia/commons/thumb/9/95/Red_fox_kits_%2840215161564%29.jpg/1200px-Red_fox_kits_%2840215161564%29.jpg",
"https://commons.wikimedia.org/wiki/Brown_rabbit_green_grass_(Unsplash).jpg",
"Brown rabbit green grass (Unsplash)",
"https://upload.wikimedia.org/wikipedia/commons/thumb/b/bf/Brown_rabbit_green_grass_%28Unsplash%29.jpg/1200px-Brown_rabbit_green_grass_%28Unsplash%29.jpg",
"https://commons.wikimedia.org/wiki/Baby_piglets.jpg",
"Baby piglets",
"https://upload.wikimedia.org/wikipedia/commons/thumb/a/a8/Baby_piglets.jpg/656px-Baby_piglets.jpg",
"https://commons.wikimedia.org/wiki/P-46_and_P-47_(23975240799).jpg",
"P-46 and P-47 (23975240799)",
"https://upload.wikimedia.org/wikipedia/commons/thumb/2/29/P-46_and_P-47_%2823975240799%29.jpg/1200px-P-46_and_P-47_%2823975240799%29.jpg",
"https://commons.wikimedia.org/wiki/Cute!_(3525391998).jpg",
"Cute! (3525391998)",
"https://upload.wikimedia.org/wikipedia/commons/thumb/3/35/Cute%21_%283525391998%29.jpg/1200px-Cute%21_%283525391998%29.jpg",
"https://commons.wikimedia.org/wiki/4_Kittens.jpg",
"4 Kittens",
"https://upload.wikimedia.org/wikipedia/commons/thumb/7/7d/4_Kittens.jpg/1200px-4_Kittens.jpg",
"https://commons.wikimedia.org/wiki/Baby_Duck.jpg",
"Baby Duck",
"https://upload.wikimedia.org/wikipedia/commons/thumb/9/95/Baby_Duck.jpg/1200px-Baby_Duck.jpg",
"https://commons.wikimedia.org/wiki/Baboon_and_baby_Okavango_delta.jpg",
"Baboon and baby Okavango delta",
"https://upload.wikimedia.org/wikipedia/commons/thumb/7/72/Baboon_and_baby_Okavango_delta.jpg/1200px-Baboon_and_baby_Okavango_delta.jpg",
"https://commons.wikimedia.org/wiki/Ringtailed_lemurs.jpg",
"Ringtailed lemurs",
"https://upload.wikimedia.org/wikipedia/commons/thumb/c/cf/Ringtailed_lemurs.jpg/1200px-Ringtailed_lemurs.jpg",
"https://commons.wikimedia.org/wiki/Sleeping_baby_cat.jpg",
"Sleeping baby cat",
"https://upload.wikimedia.org/wikipedia/commons/thumb/f/fb/Sleeping_baby_cat.jpg/1200px-Sleeping_baby_cat.jpg",
"https://commons.wikimedia.org/wiki/Baby_Squirrel_Rehabber.jpg",
"Baby Squirrel Rehabber",
"https://upload.wikimedia.org/wikipedia/commons/7/70/Baby_Squirrel_Rehabber.jpg",
"https://commons.wikimedia.org/wiki/Mother_sea_otter_with_rare_twin_baby_pups_(9137174915).jpg",
"Mother sea otter with rare twin baby pups (9137174915)",
"https://upload.wikimedia.org/wikipedia/commons/thumb/d/db/Mother_sea_otter_with_rare_twin_baby_pups_%289137174915%29.jpg/1200px-Mother_sea_otter_with_rare_twin_baby_pups_%289137174915%29.jpg",
"https://commons.wikimedia.org/wiki/Youngkitten.JPG",
"Youngkitten",
"https://upload.wikimedia.org/wikipedia/commons/thumb/f/f3/Youngkitten.JPG/1200px-Youngkitten.JPG",
"https://commons.wikimedia.org/wiki/Mother_sea_otter_with_rare_twin_baby_pups_(9139409910).jpg",
"Mother sea otter with rare twin baby pups (9139409910)",
"https://upload.wikimedia.org/wikipedia/commons/thumb/b/ba/Mother_sea_otter_with_rare_twin_baby_pups_%289139409910%29.jpg/1200px-Mother_sea_otter_with_rare_twin_baby_pups_%289139409910%29.jpg",
"https://commons.wikimedia.org/wiki/Baby_peacock.jpg",
"Baby peacock",
"https://upload.wikimedia.org/wikipedia/commons/thumb/d/df/Baby_peacock.jpg/666px-Baby_peacock.jpg",
"https://commons.wikimedia.org/wiki/Baby_elephant_in_the_field.jpg",
"Baby elephant in the field",
"https://upload.wikimedia.org/wikipedia/commons/8/83/Baby_elephant_in_the_field.jpg",
"https://commons.wikimedia.org/wiki/One_day_old_giraffe_with_mother_-Birmingham_Zoo.jpg",
"One day old giraffe with mother -Birmingham Zoo.jpg",
"https://upload.wikimedia.org/wikipedia/commons/thumb/6/60/One_day_old_giraffe_with_mother_-Birmingham_Zoo.jpg/1145px-One_day_old_giraffe_with_mother_-Birmingham_Zoo.jpg"
];

var cute_animals_shown=null;
var max_times_shown_image=0;
function random_cute_animal_html()
{
 //alert("random_cute_animal_html");
 var nimages=cute_animals.length/3;
 // alert(nimages);
 // nimages=3; Avoid showing each image a 2nd time until all the images have been shown 1nce and so on for 3rd time etc:
 if(!cute_animals_shown)
 {
  cute_animals_shown= new Array(nimages);
  for (let i=0; i<nimages; ++i) cute_animals_shown[i]=0;
 }
 var iimage=Math.floor(Math.random() * nimages);
 if(cute_animals_shown[iimage]>0)
 if(cute_animals_shown[iimage]==max_times_shown_image)
 {
   for(let j=1;j<nimages;j++)
   {
     let k=(iimage+j)%nimages;
     if(cute_animals_shown[k]<max_times_shown_image)
     {
       iimage=k;
       break;
     }
   }
 }
 cute_animals_shown[iimage]++;
 max_times_shown_image=cute_animals_shown[iimage];
 var page_url=cute_animals[3*iimage+0];
 var page_title=cute_animals[3*iimage+1];
 var image_url=cute_animals[3*iimage+2];
 var str_animal="<p align=\"center\"><img id=\"img_animal\" src=\"" + image_url + "\" width=\"80%\" alt=\"photo of: " + page_title + "\"></p>" +
 "<p  align=\"center\"><a id=\"r1TDZjyCBx9r_a_image_animal\" href=\"" + page_url + "\">" + page_title + "</a></p>";
 var str="<div id=\"r1TDZjyCBx9r_random_cute_animal\">" + str_animal + "</div>";
 var el=document.getElementById("r1TDZjyCBx9r_random_cute_animal");
 var done=0;
 if(el)
 {
  if(el_image)
  {
   var el_image=document.getElementById("img_animal");
   if(el_image)
    el_image.src=image_url;
   var a_image_animal=document.getElementById("r1TDZjyCBx9r_a_image_animal");
   if(a_image_animal)
   {
    a_image_animal.href=page_url;
    a_image_animal.innerHTML=page_title;
    done=1;
   }
  }
  if(!done)
   el.innerHTML=str_animal;
 }
 return str;
}


function block_if_searched_url(lurl,search_phrase,twitter_input_text)
{
 var lcurl=lurl.toLowerCase();
 var text_to_search=lcurl;
 if(twitter_input_text)
 {
  text_to_search=twitter_input_text;
 }
 var iposq=lurl.indexOf("?");
 var pos_found=-1;  
 var search_words=search_phrase.split(" ");
 var nwords=search_words.length;
 if(lurl.indexOf("search_phrase")>0||lurl.indexOf("search")> 0||lurl.indexOf("s?")>0||lurl.indexOf("?q=")>0)
 for (var i = 0; i < nwords; i++)
 {
  var search_word=search_words[i];
 // alert(search_word);
  var lcsearch=search_word.toLowerCase();
  var ipos=text_to_search.indexOf(lcsearch);
  var found_this=0;
  if(ipos>0)
  if(iposq>0)
  if(ipos>iposq)
  {
   if(pos_found<0)
    pos_found=ipos;
   else
    if(ipos<pos_found)
     pos_found=ipos;
   found_this=1;
  }  
  if(!found_this)
   return;
 }
 if(pos_found>0)
 {
  var this_word="this word";
  if(nwords>1)
   this_word="these words";
  var order="";
  if(nwords>1)
   order=" (" + nwords + " words in any order)";
  var url_truncated=lurl.substring(0,pos_found);
  if(is_twitter)
  {
   str_found+="Searched for \"" + search_phrase+ "\"" + order+ " - return to <a href=\"https://twitter.com/explore\"> twitter search page</a>"
 //  alert ("is_twitter" + str_found);
  }
  else
  {
   if(origin.indexOf("facebook")>=0)
   if(url_truncated.slice(-1)=="=")
     url_truncated+="_";     
  str_found+="Searched for \"" + search_phrase + order+ "\" - return to <a href=\"" + url_truncated + "\">search truncated to before " + this_word + "</a>";
  //  alert ("!is_twitter" + str_found);
 }
  found=true;
 }
}


function block_if_searched_twitter(search_phrase)
{
 if(!twitter_input)
  return false;
 var stext=twitter_input.value;
 if(stext)
 {
  var wurl=window.location.href;
   block_if_searched_url(wurl,search_phrase,stext);
 }
}

function block_if_searched(search_phrase)
{
 // alert("twitter_input" + twitter_input);
 if(twitter_input)
 {
  block_if_searched_twitter();
  return;
 }
 var wurl=window.location.href;
 if(found)
  return;
 // alert(wurl + " " + search_phrase);
 block_if_searched_url(wurl,search_phrase);
 if(found)
  return;
 var durl=document.location.href;
 block_if_searched_url(durl,search_phrase);
/**
window.history.replaceState('', '', url + "?object=" + encodeURI(url_name));
	
 var surl =history.state;
 alert(surl);
 block_if_searched_url(surl,search_phrase);
 **/
}
function do_blocks()
{
 block_if_searched("Jesus return");
 block_if_searched("second coming");
 block_if_searched("Judgement day");
 block_if_searched("Apocalypse");
 block_if_searched("world end");
 block_if_searched("hell");
 block_if_searched("Euphrates");
 if(found)
 {
   /**
  document.body.className="";  
  document.body.style="";
  document.head.innerHTML="";
  document.head.outerHTML="";
  document.body.innerHTML="";
  document.body.outerHTML="";
 **/
 hide_all_elements_on_page();
 /**
 document.body.outerHTML="";
 document.head.innerHTML="";
 document.body.innerHTML="";
 **/
var style = document.createElement('style');
    style.type = 'text/css';
    style.innerHTML = overlay_style;
  var pause_cute_animal_style = document.createElement('style');
  pause_cute_animal_style.type = 'text/css';
   pause_cute_animal_style.innerHTML = style_button_pause_animation;
     document.head.appendChild(style);
    document.head.appendChild(pause_cute_animal_style);
   var button_pause_anim="";
 if(do_auto_change_cute_animal)
   button_pause_anim= "&nbsp;&nbsp;&nbsp;<button  id=\"id_pause_cute_animal_animation\" onClick=\"alert( \"on click\"); pause_cute_animal_animation();\" class=\"button_pause_animation\">Pause cute baby animal animation</button>";
var file_browser="";
 if(add_file_browser)
   file_browser="<p><input type=\"file\" id=\"file-input\" /></p>"+
"<h3>Contents of the file:</h3>" +
"<pre id=\"r1TDZjyCBx9r_file-content\"></pre>";

var overlay=document.createElement("div");
 overlay.innerHTML="<h3 align=\"center\">Block Search for Jesus Return etc. (browser extension)</h3>" + "<p>" + str_found +button_pause_anim + "</p>" + random_cute_animal_html() + file_browser;
 overlay.className="r1TDZjyCBx9r_extension_overlay_class"
 document.body.appendChild(overlay); 
 var file_input=document.getElementById('file-input');
 if(file_input)
   file_input.addEventListener('change', readSingleFile, false);

  var el_pause_button=document.getElementById("id_pause_cute_animal_animation");
   if(el_pause_button)
   {
    el_pause_button.addEventListener("click",pause_cute_animal_animation);
   }
  if(do_auto_change_cute_animal)
 if(!interval_auto_change_cute_animal)
 if(ms_auto_change_cute_animal)
   interval_auto_change_cute_animal=setInterval(random_cute_animal_html,ms_auto_change_cute_animal);
 
  clearInterval(interval);
 }
}
if(!found)
{
 interval=setInterval(do_blocks, 100);
}


if(add_file_browser)
{
 var txt_url="search_phrases.txt";
 var full_txt_url=null;
 if(typeof chrome!==undefined)
  full_txt_url=chrome.runtime.getURL(txt_url);
 else
  if(typeof browser!==undefined)
  full_txt_url=browser.runtime.getURL(txt_url);
 if(full_txt_url)
 {
 //  alert(full_txt_url);
   // https://developer.mozilla.org/en-US/docs/Web/API/Response/text
   // fetch doesn't work. 
   fetch(full_txt_url)
  .then
   (function(response) 
    {
      return response.text().then
      (function(txt) 
       {
        displayChosenFileContents(txt);
       }
      );
    }
   )
   .catch((cause) => console.log(cause));
 }
}
