var ctrlKeyPressed=false;
document.onkeydown = function(e) {
ctrlKeyPressed= e.ctrlKey;
};


/**
How to develop cross platform for all browsers:
https://developer.mozilla.org/en-US/docs/Mozilla/Add-ons/WebExtensions/Build_a_cross_browser_extension
Not needed at present but probably need for variable storage
**/


/**
Not working for the google home page e.g. 
https://www.google.com/
Buttons shown but don't modify input field.

or for the google news page ditto (this time shows the text but still doesn't dd to any edited text.

"*:\/\/*\/*",
     "https://news.google.com/*",
        "https://www.news.google.com/*",
**/



function findBynodeName(node, text) {
  if(node.nodeName == text) {
    return node;
  }

  for (var i = 0; i < node.childNodes.length; i++) {
    var returnValue = findBynodeName(node.childNodes[i], text);
    if (returnValue != null) {
      return returnValue;
    }
  }

  return null;
}

function GetSearchString()
{
 var input = findBynodeName(document, "INPUT");
 var text=input.value;
 var search_text=text;
 var position=text.indexOf("-site:");
 if(position>=0)
  search_text=search_text.substr(0,position);
 position=search_text.indexOf("site:");
 if(position>=0)
  search_text=search_text.substr(0,position);
 search_text=search_text.trim();
 return search_text;
}
function SearchNews()
{
 var input = findBynodeName(document, "INPUT");
 var search_text=GetSearchString();
 input.value = search_text + ' site:nytimes.com OR site:apnews.com OR site:usatoday.com OR site:straitstimes.com OR site:japantimes.co.jp OR site:aljazeera.com OR site:statnews.com';
}

function SearchScience()
{
 var input = findBynodeName(document, "INPUT");
 var search_text=GetSearchString();
 input.value = search_text + ' site:earthsky.com OR site:smithsonianmag.com OR site:mongabay.com OR site:sciencedaily.com OR site:noaa.gov OR site:usgs.gov OR site:astrobio.net';
}
 
function SearchSpaceflight()
{
 var input = findBynodeName(document, "INPUT");
 var search_text=GetSearchString();
 input.value = search_text + ' site:airspacemag.com OR site:russianspaceweb.com OR site:spaceflightinsider.com OR site:spaceflightnow.com OR site:thespacereview.com';
}
 
function GoToSentry()
{
 var input = findBynodeName(document, "INPUT");
 var search_text=GetSearchString();
 search_text = search_text.replace(" ", "%20");
 window.open("https://robertinventor.online/booklets/sentry_table_simplified.htm?object=" + search_text);
}

function GoToTwitterMobile()
{
 var input = findBynodeName(document, "INPUT");
 var search_text=GetSearchString();
 search_text = search_text.replace(" ", "%20");
 window.open("https://mobile.twitter.com/search?q=%40doomsdaydebunks%20" + search_text + "&searchType=species&src=typed_query");
}

function GoToTwitter()
{
 var input = findBynodeName(document, "INPUT");
 var search_text=GetSearchString();
 search_text = search_text.replace(" ", "%20");
 window.open("https://twitter.com/search?q=%40doomsdaydebunks%20" + search_text + "&searchType=species&src=typed_query");
}

function GoToUNFCC()
{
 var input = findBynodeName(document, "INPUT");
 var search_text=GetSearchString();
 search_text = search_text.replace(" ", "%20");
 window.open("https://www4.unfccc.int/sites/NDCStaging/Pages/Search.aspx?k=" + search_text);
}

function GoToFacebook()
{
 var input = findBynodeName(document, "INPUT");
 var search_text=GetSearchString();
 search_text = search_text.replace(" ", "%20");
 window.open("https://www.facebook.com/groups/223615381399837/search/?q=" + search_text);
}

function GoToRedlist()
{
 var input = findBynodeName(document, "INPUT");
 var search_text=GetSearchString();
 search_text = search_text.replace(" ", "%20");
 window.open("https://www.iucnredlist.org/es/search?query=" + search_text + "&searchType=species");
}

function SearchConservation()
{
 var input = findBynodeName(document, "INPUT");
 var search_text=GetSearchString();
 if(ctrlKeyPressed)
 {
  GoToRedlist();
  ctrlKeyPressed=false;
 }
 input.value = search_text + ' site:mongabay.com OR site:iucnredlist.org';
}
 
function SearchPositive()
{
 var input = findBynodeName(document, "INPUT");
 var search_text=GetSearchString();
 input.value = search_text + ' site: goodnewsnetwork.org OR site:happyeconews.com OR site:reasonstobecheerful.world OR site:planetark.org OR site:www.dailyclimate.org/good-news OR site:www.enviro30.com';
}


function SearchHealth()
{
 var input = findBynodeName(document, "INPUT");
 var search_text=GetSearchString();
 input.value = search_text + ' site:who.int OR site:cdc.gov OR site:nhs.uk OR site:medlineplus.gov OR site:mayoclinic.org OR site:hopkinsmedicine.org  OR site:statnews.com';
}

function SearchAstronomy()
{
 var input = findBynodeName(document, "INPUT");
 var search_text=GetSearchString();
 if(ctrlKeyPressed)
 {
  GoToSentry();
  ctrlKeyPressed=false;
 }
 input.value =search_text + ' site:astronomy.com OR site:universetoday.com OR site:Earthsky.com OR site:nasa.gov OR site:esa.int OR site:astronomy.com OR site:astronomynow.com OR site:skyandtelescope.com OR site:skyatnightmagazine.com';
}

function SearchDoomsdayDebunks()
{
 var input = findBynodeName(document, "INPUT");
 var search_text=GetSearchString();
 input.value =search_text + ' site:debunkingdoomsday.quora.com OR site:doomsdaydebunked.miraheze.org/wiki';
}

function SearchDoomsdayDebunksAll()
{
 var input = findBynodeName(document, "INPUT");
 var search_text=GetSearchString();
 //  OR site:science20.com/robert_walker
 input.value =search_text + ' site:debunkingdoomsday.quora.com OR  site:doomsdaydebunked.miraheze.org/wiki OR site:twitter.com/doomsdaydebunks OR site:facebook.com/groups/doomsdaydebunked';
}

function SearchDoomsdayDebunksFacebook()
{
 if(ctrlKeyPressed)
 {
  GoToFacebook();
  ctrlKeyPressed=false;
 }
 var input = findBynodeName(document, "INPUT");
 var search_text=GetSearchString();
 input.value =search_text + ' site:facebook.com/groups/doomsdaydebunked';
}

function SearchDoomsdayDebunksWiki()
{
 var input = findBynodeName(document, "INPUT");
 var search_text=GetSearchString();
 input.value =search_text + ' site:doomsdaydebunked.miraheze.org/wiki';
}

function SearchDoomsdayDebunksQuora()
{
 var input = findBynodeName(document, "INPUT");
 var search_text=GetSearchString();
 input.value =search_text + ' site:debunkingdoomsday.quora.com';
}

function SearchDoomsdayDebunksTwitterMobile()
{
 if(ctrlKeyPressed)
 {
  GoToTwitterMobile();
  ctrlKeyPressed=false;
 }
 var input = findBynodeName(document, "INPUT");
 var search_text=GetSearchString();
 input.value =search_text + ' site:mobile.twitter.com/doomsdaydebunks';
}
function SearchDoomsdayDebunksTwitter()
{
 if(ctrlKeyPressed)
 {
  GoToTwitter();
  ctrlKeyPressed=false;
 }
 var input = findBynodeName(document, "INPUT");
 var search_text=GetSearchString();
 input.value =search_text + ' site:twitter.com/doomsdaydebunks -site:mobile.twitter.com/doomsdaydebunks';
}

function SearchClimate()
{
 if(ctrlKeyPressed)
 {
  GoToUNFCC();
  ctrlKeyPressed=false;
 } 
 var input = findBynodeName(document, "INPUT");
 var search_text=GetSearchString();
 input.value =search_text + ' site:carbonbrief.org  OR site:mongabay.com';
}
function SearchClimateTwitter()
{
 var input = findBynodeName(document, "INPUT");
 var search_text=GetSearchString();
 input.value =search_text + ' site:twitter.com/CarbonBrief OR  site:twitter.com/flimsin OR  site:twitter.com/Peters_Glen OR  site:twitter.com/hausfath OR  site:twitter.com/KHayhoe';
}

function SearchCOVIDTwitter()
{
 var input = findBynodeName(document, "INPUT");
 var search_text=GetSearchString();
 input.value =search_text + '  site:twitter.com/DrTedros OR  site:twitter.com/GYamey OR  site:twitter.com/mvankerkhove OR  site:twitter.com/kallmemeg OR  site:twitter.com/angie_rasmussen OR  site:twitter.com/dgurdasani1 OR  site:twitter.com/KuzmanovicA OR  site:twitter.com/chrischirp ';
 
// site:twitter.com/rid1tweets OR  site:twitter.com/DrAliSKhan OR   KuzmanovicA 

}

function SearchDoomsdayDebunksScience20()
{
 var input = findBynodeName(document, "INPUT");
 var search_text=GetSearchString();
 input.value =search_text + ' site:science20.com/robert_walker';
}
function SearchMilitary()
{
 var input = findBynodeName(document, "INPUT");
 var search_text=GetSearchString();
 input.value =search_text + ' site:defenseone.com OR site:https://www.militarytimes.com/ OR site:carnegiemoscow.org OR site:carnegieendowment.org OR site:nknews.org';
}

function RemoveRedTopFromSearch()
{
 var input = findBynodeName(document, "INPUT");
 var search_text=GetSearchString();
 input.value =search_text + '  -site:express.co.uk -site:ibtimes.com -site:metro.co.uk -site:nypost.com -site:mirror.co.uk -site:thesun.co.uk -site:7news.com.au -site:newsweek.com -site:thedailybeast.com -site:dailyrecord.co.uk -site:dailystar.co.uk';
}

function ResetSearch()
{
 var input = findBynodeName(document, "INPUT");
 var search_text=GetSearchString();
 input.value =search_text;
}


function listQ()
{
  var tlist=document.getElementById("DDlist");
  var selection_from_list=tlist.value;
  if(selection_from_list=="DD M. Twitter")
  {
    SearchDoomsdayDebunksTwitterMobile();
  }
  if(selection_from_list=="DD Twitter")
  {
    SearchDoomsdayDebunksTwitter();
  }
  if(selection_from_list=="DD Quora")
  {
    SearchDoomsdayDebunksQuora();
  }
  if(selection_from_list=="DD Wiki")
  {
    SearchDoomsdayDebunksWiki();
  }
  if(selection_from_list=="DD FB")
  {
    SearchDoomsdayDebunksFacebook();
  }
  if(selection_from_list=="All")
  {
    SearchDoomsdayDebunksAll();
  }

}

function OtherQ()
{
  var tlist=document.getElementById("Otherslist");
  var selection_from_list=tlist.value;

  if(selection_from_list=="Tw. COVID")
  {
    SearchCOVIDTwitter();
  }
  if(selection_from_list=="Health")
  {
    SearchHealth();
  }
  if(selection_from_list=="Science")
  {
    SearchScience();
  }
  if(selection_from_list=="Check Redlist")
  {
    GoToRedlist();
  }
  if(selection_from_list=="Check NEO")
  {
    GoToSentry();
  }
  if(selection_from_list=="Spaceflight")
  {
    SearchSpaceflight();
  }
  if(selection_from_list=="Conservation")
  {
    SearchConservation();
  }
  if(selection_from_list=="Positive")
  {
    SearchPositive();
  }
  if(selection_from_list=="Health")
  {
    SearchHealth();
  }
  if(selection_from_list=="Military")
  {
    SearchMilitary();
  }
  if(selection_from_list=="Tw. Climate")
  {
    SearchClimateTwitter();
  }
  if(selection_from_list=="Climate")
  {
    SearchClimate();
  }
  if(selection_from_list=="News")
  {
    SearchNews();
 }
  if(selection_from_list=="RW")
  {
    SearchDoomsdayDebunksScience20();
  }
  if(selection_from_list=="?")
  {
    alert("? - EXTRA OPTIONS WITH CONTROL + CLICK\n" +
    "\n" +
    "Ctrl + click on Astronomy to search for a near earth asteroid or comet in my non techy version of the NASA sentry table.\n" + 
"\n" +
"Ctrl + click on Conservation to check the IUCN Red list entry for a species.\n" +
"\n" +
"Ctrl + click on Climate brings up the UNFCC search for the Paris agreement pledges for a country\n" +
"\n" +
"Ctrl + click on the DD Twitter brings up a Twitter search for @Doomsdaydebunks + the search phrase.\n" +
"\n" +
"Ctrl + click on DD FB brings up the Facebook search page for the DD main group.\n"
);
tlist.value="";
  }
}

function find_nth_parent(node,n)
{
  var par=node;
  for(var i=0;i<n;i++)
  {
    var new_par=par.parentNode;
    if(new_par)
      par=new_par;
    else
      break;
  }
  return par;
}
var okay_add_to_search=true;

var url=window.location.toString();
var origin=window.location.origin.toString();
var pbing=origin.search("bing");
if(pbing>=0)
if(url.search("FORM=SHOPTB")>0 // shopping
  ||url.search("FORM=HDRSC4")>0 // maps
  )
  okay_add_to_search=false;
 var pgoogle=origin.search("google");
if(pgoogle>=0)
if(url.search("/search?")<0)
if(url.search("/maps?")>0 // maps
  ||url.search("/maps/")>0 // maps
  )
  okay_add_to_search=false;

if(okay_add_to_search)
{
 var input = findBynodeName(document, "INPUT");
 var par=find_nth_parent(input,3);
 var ptbm=url.search("tbm=");
 // if "tbm=" occurs in the search string it's not the  default "all"  search e.g. "tbm=nws" for the news tab
 var is_all=ptbm>0?false:true;
 if(pgoogle>=0)
 {
  if(is_all)
   par=find_nth_parent(input,6);
  else
  par=find_nth_parent(input,4);
 } 
 
 var style = document.createElement('style');
    style.type = 'text/css';
    style.innerHTML = '.DDSearchBttnClass  {'
    +'border-width: thin;border-style: solid;border-color: lightgray}';
    document.head.appendChild(style);
 var dosearch = document.createElement("text");
 dosearch.innerHTML = "&nbsp;&nbsp;&nbsp;&nbsp;";
 if(pgoogle>0&&is_all)
  dosearch.innerHTML = "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
 par.appendChild(dosearch);
 var doomsdaydebunked = document.createElement("button");
 doomsdaydebunked.innerHTML = "Doomsday Debunks"; 
 doomsdaydebunked.className="DDSearchBttnClass";
 par.appendChild(doomsdaydebunked);
 doomsdaydebunked.addEventListener("click", SearchDoomsdayDebunks);
 var space = document.createElement("text");
 space.innerHTML = "&nbsp;&nbsp;&nbsp;";
 par.appendChild(space);
 var values = ["DD Twitter","DD M. Twitter","DD FB", "DD Quora", "DD Wiki", "All"];
 var ddlist = document.createElement("select");
 ddlist.name = "DDlist";
 ddlist.id = "DDlist";
 for (const val of values)
    {
        var option = document.createElement("option");
        option.value = val;
        option.text = val.charAt(0).toUpperCase() + val.slice(1);
        ddlist.appendChild(option);
    }

  par.appendChild(ddlist);
  ddlist.addEventListener("click", listQ);
  ddlist.className="DDSearchBttnClass";

  var space2 = document.createElement("text");
  space2.innerHTML = "&nbsp;&nbsp;&nbsp;"; //&nbsp;(click search)&nbsp;
  par.appendChild(space2);


  var redtop = document.createElement("button");
  redtop.innerHTML = "No RedTop";
  par.appendChild(redtop);
  redtop.className="DDSearchBttnClass";

  redtop.addEventListener("click", RemoveRedTopFromSearch);
  var space3 = document.createElement("text");
  space3.innerHTML = "&nbsp;&nbsp;&nbsp;";
  par.appendChild(space3);


  var astronomy = document.createElement("button");
  astronomy.innerHTML = "Astronomy";
  astronomy.className="DDSearchBttnClass";

  par.appendChild(astronomy);
  astronomy.addEventListener("click", SearchAstronomy);
  var space4 = document.createElement("text");
  space4.innerHTML = "&nbsp;&nbsp;&nbsp;";
  par.appendChild(space4);


  var values2 = ["Climate", "Tw. Climate","Tw. COVID", "Science", "Conservation",  "Positive", "Spaceflight", "News", "Military", "RW","?"]; 
  // "Check Redlist",
      var otherslist = document.createElement("select");
      otherslist.name = "Otherslist";
      otherslist.id = "Otherslist";
   
      for (const val of values2)
      {
          var option = document.createElement("option");
          option.value = val;
          option.text = val.charAt(0).toUpperCase() + val.slice(1);
          otherslist.appendChild(option);
      }
  otherslist.className="DDSearchBttnClass";
  par.appendChild(otherslist);

  otherslist.addEventListener("click", OtherQ);
  var space2 = document.createElement("text");
  space2.innerHTML = "&nbsp;&nbsp;&nbsp;";
  par.appendChild(space2);
  ctrlKeyPressed
  var health = document.createElement("button");
  health.innerHTML = "Health";
  par.appendChild(health);
  health.className="DDSearchBttnClass";

  health.addEventListener("click",SearchHealth);
  var space5 = document.createElement("text");
  space5.innerHTML = "&nbsp;&nbsp;&nbsp;";
  par.appendChild(space5);

  var resetsearch = document.createElement("button");
  resetsearch.innerHTML = "Reset";
  resetsearch.className="DDSearchBttnClass";

  par.appendChild(resetsearch);
  resetsearch.addEventListener("click", ResetSearch);
}





/**
var tooltip_style= document.createElement('style');
    tooltip_style.type = 'text/css';
    tooltip_style.innerHTML =
".tooltipDDS {"
+ "  position: relative;"
+ "  display: inline-block;"
+ "  border-bottom: 1px dotted black;"
+ "}"
+ " "
+ ".tooltipDDS .tooltiptextDDS {"
+ "  visibility: hidden;"
+ "  width: 120px;"
+ "  background-color: #555;"
+ "  color: #fff;"
+ "  text-align: center;"
+ "  border-radius: 6px;"
+ "  padding: 5px 0;"
+ "  position: absolute;"
+ "  z-index: 1;"
+ "  bottom: 125%;"
+ "  left: 50%;"
+ "  margin-left: -60px;"
+ "  opacity: 0;"
+ "  transition: opacity 0.3s;"
+ "}"
+ ""
+ ".tooltipDDS .tooltiptextDDS::after {"
+ "  content: \"\";"
+ "  position: absolute;"
+ "  top: 100%;"
+ "  left: 50%;"
+ "  margin-left: -5px;"
+ "  border-width: 5px;"
+ "  border-style: solid;"
+ "  border-color: #555 transparent transparent transparent;"
+ "}"
+ ""
+ ".tooltipDDS:hover .tooltiptextDDS {"
+ "  visibility: visible;"
+ "  opacity: 1;"
+ "}";
*/
/**
dredlist_tooltiptext=document.createElement('span');
dredlist_tooltiptext.className="tooltiptextDDS"
dredlist_tooltiptext.innerHTML="Click to open new window to search IUCN red list for search phrase"
dredlist_tooltiptext.appendChild(redlist);
dredlist_tooltip=document.createElement('span');
dredlist_tooltip.className="tooltipDDS"
dredlist_tooltip.appendChild(dredlist_tooltiptext);

par.appendChild(dredlist_tooltip);
**/
/** https://www.w3schools.com/howto/howto_css_tooltip.asp
<span class="tooltipDDS">Hover over me
  <span class="tooltiptextDDS">Tool tip text</span>
</span>
**/